# $Revision: 1.84.2.14 $, $Date: 2004/08/17 16:34:50 $
#
# If you define the following as 1, only kernel, -headers and -source
# packages will be built
#
# _without_owl		- build without owl patch
# _without_smp          - don't build SMP kernel
# _without_up           - don't build UP kernel
# _without_source       - don't build source
# _without_doc          - don't build documentation package
#

%define         base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')
%define         no_install_post_strip   1
%define         no_install_post_compress_modules        1
#
%define         pre_version		pre1
%define         freeswan_version	2.00
%define         jfs_version		2.4-1.1.2
%define		xfs_version		1.3.0
%define         lvm_version		1.0.7
%define         evms_version		2.0.1
%define         ntfs_version		2.1.4a
%define         drm_xfree_version	4.3.0
%define         hostap_version		2002-10-12
%define         ACL_version             0.8.56
%define		mosix_ver		2.4.22
%define		owl_ver			2.4.26
%define		kern_name		kernel

Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(fr):	Le Kernel-Linux (La partie centrale du systeme)
Summary(pl):	Jdro Linuxa z obsug klastra openMOSIX
Name:		kernel-mosix
Version:	2.4.22
Release:	5%{?_without_owl:_noowl}
License:	GPL
Group:		Base/Kernel
Source0:	ftp://ftp.kernel.org/pub/linux/kernel/v2.4/linux-%{version}.tar.bz2
# Source0-md5:	75dc85149b06ac9432106b8941eb9f7b
Source1:	%{kern_name}-autoconf.h
Source2:	%{kern_name}-BuildASM.sh
#Source3:	
Source4:	http://tulipe.cnam.fr/personne/lizzi/linux/linux-2.3.99-pre6-fore200e-0.2f.tar.gz
# Source4-md5:	e3382d86a96fc3d0cc113b412db4676c
#
#Source5:
#Source6:	
#Source7:
Source8:	http://www10.software.ibm.com/developer/opensource/jfs/project/pub/jfs-%{jfs_version}.tar.gz
# Source8-md5:	2473f345c66683a03ad27ff132d405b7
Source9:	http://www.xfree86.org/~alanh/linux-drm-%{drm_xfree_version}-kernelsource.tar.gz
# Source9-md5:	34515784c7b67f6cc9169aa9eed982c7
# based on http://hostap.epitest.fi/releases/hostap-%{hostap_version}.tar.gz
Source10:	hostap-%{hostap_version}-pld.tar.gz
# Source10-md5:	4d5dd3fef2f5537ee07e64cdd1378e80
#
#Source11:
Source12:	linux-2.4.20-aacraid.tar.bz2
# Source12-md5:	3da1f4b229685766cb4f2f5ce242c0d2
Source20:	%{kern_name}-ia32.config
Source21:	%{kern_name}-ia32-smp.config

Source1000:	%{kern_name}-lsm.config
#Source1001:
Source1002:	%{kern_name}-addon.config
Source1003:	%{kern_name}-netfilter.config
#Source1004:
Source1005:	%{kern_name}-evms.config
Source1006:	%{kern_name}-cdrw.config
Source1007:	%{kern_name}-acpi.config
Source1008:	%{kern_name}-ebtables.config
Source1009:	%{kern_name}-usb2.config
Source1010:	%{kern_name}-i2c.config
Source1011:	%{kern_name}-promise_st.config
Source1012:	%{kern_name}-i810fb.config
Source1013:	%{kern_name}-davfs.config
Source1667:	%{kern_name}-int.config
Source1668:	%{kern_name}-hostap.config
Source1669:	%{kern_name}-konicawc.config
Source1670:	%{kern_name}-wrr.config
Source1671:	%{kern_name}-squashfs.config
Source1672:	%{kern_name}-ACL.config
Source1673:	%{kern_name}-IMQ.config
Source1674:	%{kern_name}-dm.config
Source1675:	%{kern_name}-audigy.config
Source1676:	%{kern_name}-aic79xx.config
Source1677:	%{kern_name}-e820.config
Source1678:	%{kern_name}-ecc.config
Source1679:	%{kern_name}-afs.config

# openMosix
Source3000:	%{kern_name}-openmosix.config
Source3001:	mosix-openwall.config

# New features
Patch0:		%{kern_name}-pldfblogo.patch

# from ftp://ftp.kerneli.org/pub/linux/kernel/crypto/v2.4/testing/
#Patch1:		patch-int-2.4.21.0.bz2

# from ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-*
Patch2:		linux-2.4-freeswan-%{freeswan_version}.patch.gz

Patch3:		linux-%{owl_ver}-ow3.diff.bz2
#Patch4:	
Patch5:		linux-cmd640_symb.patch
Patch6:		kernel-2.4.22-intermezzo_dfsa.patch
Patch7:		linux-2.4.20-jfs-1.1.2-xattr.patch.gz
#Patch8:		
Patch9:		linux-2.4.20-initrd-close-console.patch
#Patch10:	
#Patch11:
# from: ftp://linux-xfs.sgi.com/projects/xfs/download/Release-1.2pre5/kernel_patches/
Patch12:	linux-2.4.22-xfs-2.4.22-all-i386.bz2
#Patch13:
#Patch14:
#Patch15:

# ftp://ftp.samba.org/pub/unpacked/ppp/linux/mppe/
Patch16:	linux-2.4.18-mppe.patch
#Patch17:	
#Patch18:
#Patch19:
# from ???
Patch20:	linux-2.4.20-audigy.patch.bz2

# from http://www.promise.com/support/file/driver/promise-patch-2.4.19.gz
Patch21:	linux-2.4.20-promise.patch.bz2
# from http://www.promise.com/support/file/driver/st6000src_1.30_01_0326.tgz
Patch22:	linux-2.4.20-promise-st6000.patch.bz2

#Patch23:

# from MDK kernel DV08__i810fb.patch
Patch24:	linux-2.4.21-I810FB.patch.gz
#Patch25:
# Support for CDRW packet writing
Patch26:	%{kern_name}-cdrw-packet.patch
Patch27:	%{kern_name}-cd-mrw-2.patch
#Patch28:
Patch29:	linux-2.4.21-no-FPU.patch
#Patch30:
#Patch31:
#Patch32:
#Patch33:	
Patch34:	wrr-linux-2.4.9.patch
Patch35:	%{kern_name}-pswscancode.patch
# from MDK kernel
# FC01_davfs_0.2.4.patch
Patch36:	linux-2.4.20-davfs-0.2.4.patch.bz2
# FC02_davfs__FUNCTION__.patch
Patch37:	linux-2.4.20-davfs-_FUNCTION_.patch
#from ??
Patch39:	linux-2.4.20-aic79xx.patch.bz2
Patch40:	linux-2.4.20-i810_audio.patch
Patch41:	linux-2.4.20-afs.patch.bz2
Patch42:	linux-2.4.20-ecc.patch
Patch43:	linux-2.4.20-e820.patch
#Patch44:
#Patch45:
Patch46:	linux-2.4.19-netmos_pci_parallel_n_serial.patch
Patch47:	linux-2.4-3com-vlan.patch
# Assorted bugfixes
# from LKML
Patch100:	linux-scsi-debug-bug.patch
Patch101:	linux-2.4.2-raw-ip.patch
#Patch102:
#Patch103:	
# this patch adds support for "io" and "irq" options in PCNet32 driver module
Patch104:	linux-2.4.19-pcnet-parms.patch
#Patch105:
#Patch106:
# raid5 xor fix for PIII/P4, should go away shortly
Patch107:	linux-2.4.0-raid5xor.patch
# disable some networking printk's
Patch108:	linux-2.4.1-netdebug.patch
# Add an ioctl to the block layer so we can be EFI compliant
Patch109:	linux-2.4.2-blkioctl-sector.patch
# fix lun probing on multilun RAID chassis
Patch110:	linux-2.4.12-scsi_scan.patch
# fix rawio
Patch111:	linux-2.4.3-rawio.patch
#Patch112:
#Patch113:	
#Patch114:
#Patch115:
Patch116:	linux-proc_net_dev-counter-fix.patch
#Patch117:
#Patch118:
#Patch119:
#Patch120:
Patch121:	%{kern_name}-2.4.17-netsyms-export-fix.patch
#Patch122:
Patch123:	linux-2.4.20-agp_uninorth.patch
Patch124:	%{kern_name}-gcc31.patch
Patch125:	linux-2.4.18-hpfs.patch
#Patch126:	linux-tulip-vlan.patch
Patch127:	linux-modules-fixed.patch
#Patch128:
#Patch127:
Patch129:	linux-53c7,8xx-build.fix
#Patch130:
Patch131:	linux-mtd-missing-include-fix-2.4.7-pre6.patch
#Patch132:
Patch133:	linux-proc_get_inode.patch
#Patch134:

#Patch135:	
#Patch136:
#Patch137:
Patch138:	http://www.uwsg.indiana.edu/hypermail/linux/kernel/0212.0/att-1445/01-sound.diff
#Patch139:
#Patch140:
#Patch141:	l
#Patch142:
#Patch144:

#i2c - version 2.7.0
Patch145:	linux-2.4.21-i2c-2.7.0.patch.gz

#Patch146:

# Patches fixing other patches or 3rd party sources ;)
# This patch allows to create more than one sound device using alsa
# and devfs with two or more sound cards
Patch200:	linux-sound_core.patch
#Patch201:
Patch202:	kernel-nfsd_unresolved_fix.patch
#Patch203:
#Patch204:
#Patch205:

# tweaks for grsecurity, description inside patch
#Patch900:	
#Patch901:	
Patch902:	linux-2.4.20-drm-Makefile.patch
#Patch903:
#Patch904:
#Patch905:
#Patch906:
#Patch907:
#Patch908:
#Patch909:
#Patch910:
#Patch911:
#Patch912:
#Patch913:
Patch914:	linux-2.4.20-MODULE_XXX.patch
#Patch915:	linux-2.4.19-usb-digitalcams.patch
#Patch916:
#Patch917:
#Patch918:
#Patch919:
Patch920:	linux-2.4.20-squashfs.patch
#Patch921:

#openMosix
Patch3000:	http://dl.sourceforge.net/sourceforge/openmosix/openMosix-%{mosix_ver}-3.bz2

# security patches:
Patch4000:	linux-do_brk-bound-check.patch
#Patch4001:	
Patch4002:	linux-2.4-rtc.patch
Patch4003:	linux-2.4-mremap-munmap.patch

URL:		http://www.kernel.org/
#BuildRequires:	%{kgcc_package}
BuildRequires:	bin86
BuildRequires:	modutils
BuildRequires:	ncurses-devel
Buildrequires:	perl
Requires(post,postun):	fileutils
Requires(post):		/sbin/depmod
Requires(post):		geninitrd >= 2.56
Provides:	%{name}
Provides:	%{name}-up = %{version}-%{release}
Provides:	module-info
Provides:	i2c = 2.7.0
Provides:	bttv = 0.7.83
Provides:	%{name}(netfilter) = 1.2.7a-%{netfilter_snap}
Provides:	%{name}(reiserfs) = %{version}
Provides:	%{name}(agpgart) = %{version}
Provides:	%{name}(cdrw)
Provides:	%{name}(cdmrw)
Provides:	%{name}(hostap)
Obsoletes:	kernel-modules
Conflicts:	iptables < 1.2.7a
Conflicts:	jfsutils < %{jfs_version}
Conflicts:	lvm < 1.0.4
Conflicts:	xfsprogs < 2.0.0
Conflicts:	quota < 3.06
ExclusiveOS:	Linux
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

This version of kernel is a version with the openMOSIX patch to allow process
migration in a cluster of openMOSIX nodes.

%description -l de
Das Kernel-Paket enthlt den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist fr grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Proze-Management, Gerte Ein- und Ausgaben, usw.

%description -l fr
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un systme d'exploitation Linux. Le noyau traite les
fonctions basiques d'un systme d'exploitation: allocation mmoire,
allocation de process, entre/sortie de peripheriques, etc.

%description -l pl
Pakiet zawiera jdro Linuksa niezbdne do prawidowego dziaania
komputera. Zawiera w sobie sterowniki do sprztu znajdujcego si w
komputerze, takich jak karty muzyczne, sterowniki dyskw, etc. Ta
wersja jdra zawiera wkompilowan obsug klastra openMOSIX.

%package smp
Summary:	Kernel with openMOSIX clustering compiled for SMP machines
Summary(de):	Kernel mit openMOSIX fr Multiprozessor-Maschinen
Summary(fr):	Kernel compiler pour les machine Multi-Processeur
Summary(pl):	Jdro Linuksa w wersji SMP z obsug klastrw openMOSIX
Group:		Base/Kernel
Autoreqprov:	no
Requires(post,postun):	fileutils
Requires(post):		/sbin/depmod
Requires(post):		geninitrd >= 2.56
Provides:	%{name}
Provides:	%{name}-smp = %{version}-%{release}
Provides:	module-info
Provides:	i2c = 2.7.0
Provides:	bttv = 0.7.83
Provides:	%{name}(netfilter) = 1.2.7a-%{netfilter_snap}
Provides:	%{name}(reiserfs) = %{version}
Provides:	%{name}(agpgart) = %{version}
Provides:	%{name}(cdrw)
Provides:	%{name}(cdmrw)
Provides:	%{name}(hostap)
Conflicts:	iptables < 1.2.7a
Conflicts:	jfsutils < %{jfs_version}
Conflicts:	lvm < 1.0.4
Conflicts:	xfsprogs < 2.0.0
Conflicts:	quota < 3.06


%description smp
This package includes a SMP version of the Linux %{version} kernel. It
is required only on machines with two or more CPUs, although it should
work fine on single-CPU boxes.

%description smp -l de
Dieses Paket enthlt eine SMP (Multiprozessor)-Version von
Linux-Kernel %{version}. Es wird fr Maschinen mit zwei oder mehr
Prozessoren gebraucht, sollte aber auch auf Computern mit nur einer
CPU laufen.

%description smp -l fr
Ce package inclu une version SMP du noyau de Linux version {version}.
Il et ncessaire seulement pour les machine avec deux processeurs ou
plus, il peut quand mme fonctionner pour les systme mono-processeur.

%description smp -l pl
Pakiet zawiera jdro SMP Linuksa w wersji %{version}. Jest ono
wymagane przez komputery zawierajce dwa lub wicej procesorw.
Powinno rwnie dobrze dziaa na maszynach z jednym procesorem. Ta
wersja jdra zawiera wkompilowan obsug klastra openMOSIX.


%package pcmcia-cs
Summary:	PCMCIA-CS modules
Summary(pl):	Moduy PCMCIA-CS
Group:		Base/Kernel
Provides:	%{name}-pcmcia-cs = %{pcmcia_version}
PreReq:		%{name}-up = %{version}-%{release}
Requires(postun):	%{name}-up = %{version}-%{release}

%description pcmcia-cs
PCMCIA-CS modules (%{pcmcia_version}).

%description pcmcia-cs -l pl
Moduy PCMCIA-CS (%{pcmcia_version}).

%package smp-pcmcia-cs
Summary:	PCMCIA-CS modules for SMP kernel
Summary(pl):	Moduy PCMCIA-CS dla maszyn SMP
Group:		Base/Kernel
Provides:	%{name}-pcmcia-cs = %{pcmcia_version}
PreReq:		%{name}-smp = %{version}-%{release}
Requires(postun):	%{name}-smp = %{version}-%{release}

%description smp-pcmcia-cs
PCMCIA-CS modules for SMP kernel (%{pcmcia_version}).

%description pcmcia-cs -l pl
Moduy PCMCIA-CS dla maszyn SMP (%{pcmcia_version}).

%description pcmcia-cs -l pl
Moduy PCMCIA-CS dla maszyn SMP (%{pcmcia_version}).

%package drm
Summary:	DRM kernel modules
Summary(pl):	Sterowniki DRM
Group:		Base/Kernel
Provides:	%{name}-drm = %{drm_xfree_version}
PreReq:		%{name}-up = %{version}-%{release}
Requires(postun):	%{name}-up = %{version}-%{release}

%description drm
DRM kernel modules (%{drm_xfree_version}).

%description drm -l pl
Sterowniki DRM (%{drm_xfree_version}).

%package smp-drm
Summary:	DRM SMP kernel modules
Summary(pl):	Sterowniki DRM dla maszyn wieloprocesorowych
Group:		Base/Kernel
Provides:	%{name}-drm = %{drm_xfree_version}
PreReq:		%{name}-smp = %{version}-%{release}
Requires(postun):	%{name}-smp = %{version}-%{release}

%description smp-drm
DRM SMP kernel modules (%{drm_xfree_version}).

%description smp-drm -l pl
Sterowniki DRM (%{drm_xfree_version}) dla jder SMP.

%package headers
Summary:	Header files for the Linux kernel
Summary(pl):	Pliki nagwkowe jdra
Group:		Base/Kernel
Autoreqprov:	no
Requires(post,postun):	fileutils
Provides:	%{name}-headers(agpgart) = %{version}
Provides:	%{name}-headers(reiserfs) = %{version}
Provides:	%{name}-headers(bridging) = %{version}
Provides:	kernel-headers-%{version}
Provides:	i2c-devel = 2.6.1

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when building most standard
programs under Linux, as well as to rebuild the kernel.

%description headers -l pl
Pakiet zawiera pliki nagwkowe jdra, niezbdne do rekompilacji jdra
oraz niektrych programw.

%package source
Summary:	Kernel source tree
Summary(pl):	Kod rdowy jdra Linuksa
Group:		Base/Kernel
Autoreqprov:	no
Requires:	%{name}-headers = %{version}
Provides:	kernel-source
Requires:	bin86

%description source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description source -l de
Das Kernel-Source-Paket enthlt den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu compilieren, da sie auf Konstanten zurckgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien knnen auch
benutzt werden, um einen Kernel zu compilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description source -l fr
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont ncessaires pour compiler la plupart des
programmes C, car il dpend de constantes dfinies dans le code
source. Les sources peuvent tre aussi utilise pour compiler un noyau
personnalis pour avoir de meilleures performances sur des matriels
particuliers.

%description source -l pl
Pakiet zawiera kod rdowy jdra systemu Linux.

%package doc
Summary:	Kernel documentation
Summary(pl):	Dokumentacja do jdra
Group:		Base/Kernel
Provides:	%{name}-doc = %{version}
Autoreqprov:	no

%description doc
This is the documentation for the Linux kernel, as found in
/usr/src/linux/Documentation directory.

%description doc -l pl
Pakiet zawiera dokumentacj jdra z katalogu
/usr/src/linux/Documentation .

%prep

%setup -q -a4 -a8 -a9 -a10 -a12 -n linux-%{version}

#openMosix
echo openMosix
%patch3000 -p1

# pldfblogo
%patch0 -p1

# freeswan
%patch2 -p1

# openwall
%{!?_without_owl:%patch3 -p1}

# cmd
%patch5 -p1

# intermezzo
%patch6 -p1

# xfs
%patch12 -p1

# jfs
%patch7 -p1

# mppe
%patch16 -p1

# scsi-bug-fix
%patch100 -p0

# raw ip
%patch101 -p1

# pcnet-parms
%patch104 -p1

# raid5 xor fix
%patch107 -p1

# netdebug
%patch108 -p1

# blkioctl-sector
%patch109 -p1

# scsi_scan
%patch110 -p1

# rawio
%patch111 -p1

# proc_net_dev-counter-fix
%patch116 -p1

# netsyms-export-fix
%patch121 -p0

# agp_uninorth
%patch123 -p1

# gcc 3.1 fix
%patch124 -p1

# hpfs
%patch125 -p1

# modules
%patch127 -p1

# 53c7,8xx-build.fix
%patch129 -p0

# mtd missing include
%patch131 -p0

# proc_get_inode
%patch133 -p1


# Sound core
%patch200 -p1

# nfsd unresolved symbols fix
%patch202 -p1

# Adaptec AACRaid nev drivers
echo Updating AAC driver ...
rm -f drivers/scsi/aacraid/*
cp aacraid/* drivers/scsi/aacraid/

# Changing DRM source ....
echo Installing NEW DRM Source ...
cp drm/*.{c,h} drivers/char/drm/
%patch902 -p1

# WRR
echo Installing WRR Support
%patch34 -p1

# scancode
%patch35 -p1

# NetMos support
echo Added NetMos card supprot
%patch46 -p1

#davfs
echo Added davFS support
%patch36 -p1
%patch37 -p1

# Audigy
echo Added Audigy SoundBlaster support ...
%patch20 -p1

# close initrd console
%patch9 -p1

# no FPU
%patch29 -p1

# vlan patch
echo Updated 3Com drivers for VLAN ...
%patch47 -p1

echo Ix86 patches ...
# I810FB
echo Added Intel 810 FB support
%patch24 -p1

# security fixes:
# do_brk:
%patch4000 -p1
# do_mremap:
#%patch4001 -p1
# fix for kernel memory leaks through rtc:
%patch4002 -p1
# mremap-munmap:
%patch4003 -p1

# Remove -g from drivers/atm/Makefile and net/ipsec/Makefile
mv -f drivers/atm/Makefile drivers/atm/Makefile.orig
sed -e 's/EXTRA_CFLAGS.*//g' drivers/atm/Makefile.orig > drivers/atm/Makefile
mv -f net/ipsec/Makefile net/ipsec/Makefile.orig
sed -e 's/EXTRA_CFLAGS.*-g//g' net/ipsec/Makefile.orig > net/ipsec/Makefile

# Fix EXTRAVERSION and CC in main Makefile
mv -f Makefile Makefile.orig
sed -e 's/EXTRAVERSION =.*/EXTRAVERSION =/g' Makefile.orig >Makefile


%build
BuildKernel() {
        %{?_debug:set -x}
        # is this a special kernel we want to build?
        smp=
        [ "$1" = "smp" -o "$2" = "smp" ] && smp=yes

        if [ "$smp" = "yes" ]; then
                Config="ia32-smp"
        else
                Config="ia32"
        fi
                KernelVer=%{version}-%{release}$1

        echo "BUILDING THE NORMAL KERNEL $*..."
:> arch/%{base_arch}/defconfig
        cat $RPM_SOURCE_DIR/kernel-$Config.config >> arch/%{base_arch}/defconfig
%ifarch i386
        echo "CONFIG_M386=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch i586
        echo "CONFIG_M586=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch i686
        echo "CONFIG_M686=y" >> arch/%{base_arch}/defconfig
%endif
%ifarch athlon
        echo "CONFIG_MK7=y" >> arch/%{base_arch}/defconfig
%endif
        cat %{SOURCE1000} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1002} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1003} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1005} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1006} >> arch/%{base_arch}/defconfig
%ifnarch i386 i486
        cat %{SOURCE1007} >> arch/%{base_arch}/defconfig
%endif
        cat %{SOURCE1008} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1009} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1010} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1011} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1012} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1013} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1671} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1672} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1673} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1674} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1675} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1676} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1677} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1678} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1679} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1667} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1668} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1669} >> arch/%{base_arch}/defconfig
        cat %{SOURCE1670} >> arch/%{base_arch}/defconfig

	echo "# CONFIG_MKI is not set" >> arch/%{base_arch}/defconfig

%ifarch i386
        mv -f arch/%{base_arch}/defconfig arch/%{base_arch}/defconfig.orig
        sed -e 's/# CONFIG_MATH_EMULATION is not set/CONFIG_MATH_EMULATION=y/' \
                arch/%{base_arch}/defconfig.orig > arch/%{base_arch}/defconfig
%endif
	# mosix
	cat %{SOURCE3000} >> arch/%{base_arch}/defconfig
	#owl
	%{?_without_owl:echo "# CONFIG_SECURITY is not set" >> arch/%{base_arch}/defconfig}
	%{!?_without_owl:cat %{SOURCE3001} >> arch/%{base_arch}/defconfig}
	perl -p -i -e "s/^CONFIG_FUSION=m/CONFIG_FUSION=n/" arch/%{base_arch}/defconfig

        %{__make} mrproper
        ln -sf arch/%{base_arch}/defconfig .config


        %{__make} oldconfig
        %{__make} dep clean

        %{__make} include/linux/version.h
# making  table for soundmodem.
        (cd drivers/net/hamradio/soundmodem; \
        %{__cc} -o gentbl -lm gentbl.c; \
        ./gentbl)

%{__make} bzImage
%{__make} modules

mkdir -p $KERNEL_INSTALL_DIR/boot
install System.map $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer
cp arch/i386/boot/bzImage $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer

%{__make} modules_install \
INSTALL_MOD_PATH=$KERNEL_INSTALL_DIR \
KERNELRELEASE=$KernelVer
echo KERNEL RELEASE $KernelVer

}

KERNEL_BUILD_DIR=`pwd`
KERNEL_INSTALL_DIR=$KERNEL_BUILD_DIR-installed
rm -rf $KERNEL_INSTALL_DIR
install -d $KERNEL_INSTALL_DIR

# make drivers/scsi/ missing files
#       (cd drivers/scsi; make -f M)

# UP KERNEL
%{!?_without_up:BuildKernel}

# SMP KERNEL
%{!?_without_smp:BuildKernel smp}

%install
umask 022
rm -rf $RPM_BUILD_ROOT

# kernel

install -d $RPM_BUILD_ROOT%{_prefix}/{include,src/linux-%{version}}

KERNEL_BUILD_DIR=`pwd`

KERNEL_BUILD_INSTALL=no
%{!?_without_up:KERNEL_BUILD_INSTALL=yes}
%{!?_without_smp:KERNEL_BUILD_INSTALL=yes}
[ "$KERNEL_BUILD_INSTALL" = "yes" ] && cp -a $KERNEL_BUILD_DIR-installed/* $RPM_BUILD_ROOT

for i in "" smp ; do
        if [ -e  $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i ] ; then
                rm -f $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/build
                ln -sf %{_prefix}/src/linux-%{version} \
                        $RPM_BUILD_ROOT/lib/modules/%{version}-%{release}$i/build
        fi
done

ln -sf linux-%{version} $RPM_BUILD_ROOT%{_prefix}/src/linux



%if %{?_without_source:0}%{!?_without_source:1}
cp -af . $RPM_BUILD_ROOT/usr/src/linux-%{version}/
%else
cp -af {include,scripts,Makefile,Rules.make,Documentation} $RPM_BUILD_ROOT/usr/src/linux-%{version}/
%endif

cd $RPM_BUILD_ROOT%{_prefix}/src/linux-%{version}

%if %{?_without_source:0}%{!?_without_source:1}
%{__make} mrproper

find  -name "*~" -print | xargs rm -f
find  -name "*.orig" -print | xargs rm -f

cat $RPM_SOURCE_DIR/kernel-ia32.config > .config

%ifarch i386
echo "CONFIG_M386=y" >> .config
%endif
%ifarch i586
echo "CONFIG_M586=y" >> .config
%endif
%ifarch i686
echo "CONFIG_M686=y" >> .config
%endif
%ifarch athlon
echo "CONFIG_MK7=y" >> .config
%endif
cat %{SOURCE1000} >> .config
cat %{SOURCE1002} >> .config
cat %{SOURCE1003} >> .config
cat %{SOURCE1005} >> .config
cat %{SOURCE1006} >> .config
%{!?_without_owl:cat %{SOURCE3001} >> .config}
cat %{SOURCE3000} >> .config
cat %{SOURCE1667} >> .config
%ifnarch i386 i486
        cat %{SOURCE1007} >> .config
%endif
cat %{SOURCE1008} >> .config
cat %{SOURCE1009} >> .config
cat %{SOURCE1010} >> .config
cat %{SOURCE1011} >> .config
cat %{SOURCE1012} >> .config
cat %{SOURCE1013} >> .config
cat %{SOURCE1668} >> .config
cat %{SOURCE1669} >> .config
cat %{SOURCE1670} >> .config
cat %{SOURCE1671} >> .config
cat %{SOURCE1672} >> .config
cat %{SOURCE1673} >> .config
cat %{SOURCE1674} >> .config
cat %{SOURCE1675} >> .config
cat %{SOURCE1676} >> .config
cat %{SOURCE1677} >> .config
cat %{SOURCE1678} >> .config
cat %{SOURCE1679} >> .config


%{__make} oldconfig

mv include/linux/autoconf.h include/linux/autoconf-up.h
mv .config config-up

cat $RPM_SOURCE_DIR/kernel-ia32-smp.config >> .config

%ifarch i386
echo "CONFIG_M386=y" >> .config
%endif
%ifarch i586
echo "CONFIG_M586=y" >> .config
%endif
%ifarch i686
echo "CONFIG_M686=y" >> .config
%endif
%ifarch athlon
echo "CONFIG_MK7=y" >> .config
%endif

cat %{SOURCE1000} >> .config
cat %{SOURCE1002} >> .config
cat %{SOURCE1003} >> .config
cat %{SOURCE1005} >> .config
cat %{SOURCE1006} >> .config
%{!?_without_owl:cat %{SOURCE3001} >> .config}
cat %{SOURCE3000} >> .config
cat %{SOURCE1667} >> .config
%ifnarch i386 i486
        cat %{SOURCE1007} >> .config
%endif
cat %{SOURCE1008} >> .config
cat %{SOURCE1009} >> .config
cat %{SOURCE1010} >> .config
cat %{SOURCE1011} >> .config
cat %{SOURCE1012} >> .config
cat %{SOURCE1013} >> .config
cat %{SOURCE1668} >> .config
cat %{SOURCE1669} >> .config
cat %{SOURCE1670} >> .config
cat %{SOURCE1671} >> .config
cat %{SOURCE1672} >> .config
cat %{SOURCE1673} >> .config
cat %{SOURCE1674} >> .config
cat %{SOURCE1675} >> .config
cat %{SOURCE1676} >> .config
cat %{SOURCE1677} >> .config
cat %{SOURCE1678} >> .config
cat %{SOURCE1679} >> .config
%{!?_without_owl:cat %{SOURCE3001} >> .config}

%{__make} oldconfig

mv include/linux/autoconf.h include/linux/autoconf-smp.h
cp .config config-smp
%endif

install %{SOURCE1} $RPM_BUILD_ROOT/usr/src/linux-%{version}/include/linux/autoconf.h

%if %{?_without_source:0}%{!?_without_source:1}
# this generates modversions info which we want to include and we may as
# well include the depends stuff as well
%{__make} symlinks
%{__make} include/linux/version.h
#%{__make} "`pwd`/include/linux/modversions.h"
%endif
rm -f include/linux/modversions.h
echo "#include <linux/modsetver.h>" > include/linux/modversions.h


# this generates modversions info which we want to include and we may as
# well include the depends stuff as well, after we fix the paths
%if %{?_without_source:0}%{!?_without_source:1}
%{__make} depend
find $RPM_BUILD_ROOT/usr/src/linux-%{version} -name ".*depend" | \
while read file ; do
        mv $file $file.old
        sed -e "s|$RPM_BUILD_ROOT\(/usr/src/linux\)|\1|g" < $file.old > $file
        rm -f $file.old
done

%{__make} clean
rm -f scripts/mkdep
rm -f drivers/net/hamradio/soundmodem/gentbl
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/linux-%{version}-installed

%post
mv -f /boot/vmlinuz /boot/vmlinuz.old 2> /dev/null > /dev/null
mv -f /boot/System.map /boot/System.map.old 2> /dev/null > /dev/null
ln -sf vmlinuz-%{version}-%{release} /boot/vmlinuz
ln -sf System.map-%{version}-%{release} /boot/System.map

if [ ! -L /lib/modules/%{version} ] ; then
        mv -f /lib/modules/%{version} /lib/modules/%{version}.rpmsave > /dev/null 2>&1
fi
rm -f /lib/modules/%{version}
ln -snf %{version}-%{release} /lib/modules/%{version}
#moisx
ln -snf /lib/modules/%{version} /lib/modules/%{version}-mosix
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

/sbin/geninitrd -f --initrdfs=rom /boot/initrd-%{version}-%{release}.gz %{version}-%{release}
mv -f /boot/initrd /boot/initrd.old
ln -sf initrd-%{version}-%{release}.gz /boot/initrd

if [ -f %{_prefix}/src/linux-%{version}/config-up ] ; then
        ln -sf %{_prefix}/src/linux-%{version}/config-up %{_prefix}/src/linux-%{version}/.config
fi

if [ -x /sbin/rc-boot ] ; then
        /sbin/rc-boot 1>&2 || :
fi

%post smp
mv -f /boot/vmlinuz /boot/vmlinuz.old 2> /dev/null > /dev/null
mv -f /boot/System.map /boot/System.map.old 2> /dev/null > /dev/null
ln -sf vmlinuz-%{version}-%{release}smp /boot/vmlinuz
ln -sf System.map-%{version}-%{release}smp /boot/System.map

if [ ! -L /lib/modules/%{version} ] ; then
        mv -f /lib/modules/%{version} /lib/modules/%{version}.rpmsave > /dev/null 2>&1
fi
rm -f /lib/modules/%{version}
ln -snf %{version}-%{release}smp /lib/modules/%{version}
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

/sbin/geninitrd -f --initrdfs=rom /boot/initrd-%{version}-%{release}smp.gz %{version}-%{release}smp
mv -f /boot/initrd /boot/initrd.old
ln -sf initrd-%{version}-%{release}smp.gz /boot/initrd

if [ -f %{_prefix}/src/linux-%{version}/config-smp ] ; then
        ln -s %{_prefix}/src/linux-%{version}/config-smp %{_prefix}/src/linux-%{version}/.config
fi

if [ -x /sbin/rc-boot ] ; then
        /sbin/rc-boot 1>&2 || :
fi

%postun
if [ -L /lib/modules/%{version} ]; then
        if [ "`ls -l /lib/modules/%{version} | awk '{ print $11 }'`" = "%{version}-%{release}" ]; then
                if [ "$1" = "0" ]; then
                        rm -f /lib/modules/%{version}
                fi
        fi
fi
rm -f /boot/initrd-%{version}-%{release}.gz

%post pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

%postun pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release} > /dev/null 2>&1

%post drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release}

%postun drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release} %{version}-%{release} > /dev/null 2>&1

%postun smp
if [ -L /lib/modules/%{version} ]; then
        if [ "`ls -l /lib/modules/%{version} | awk '{ print $11 }'`" = "%{version}-%{release}smp" ];
then
                if [ "$1" = "0" ]; then
                        rm -f /lib/modules/%{version}
                fi
        fi
fi
rm -f /boot/initrd-%{version}-%{release}smp.gz
%post smp-pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

%postun smp-pcmcia-cs
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp > /dev/null 2>&
1

%post smp-drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp

%postun smp-drm
/sbin/depmod -a -F /boot/System.map-%{version}-%{release}smp %{version}-%{release}smp > /dev/null 2>&
1

%post headers
rm -f /usr/src/linux-mosix
ln -snf linux-%{version} /usr/src/linux-mosix
ln -snf /usr/src/linux-mosix/include/asm-i386 /usr/src/linux-mosix/include/asm

%postun headers
if [ -L /usr/src/linux ]; then
        if [ "`ls -l /usr/src/linux | awk '{ print $11 }'`" = "linux-%{version}" ]; then
                if [ "$1" = "0" ]; then
                        rm -f /usr/src/linux-mosix
               fi
        fi
fi


%if %{?_without_up:0}%{!?_without_up:1}
%files
%defattr(644,root,root,755)
/boot/vmlinuz-%{version}-%{release}
/boot/System.map-%{version}-%{release}
%dir /lib/modules/%{version}-%{release}
/lib/modules/%{version}-%{release}/kernel
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/net/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/scsi/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/char/pcmcia
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/net/wireless/*_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/parport/*_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/bluetooth/*_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/ide/legacy/ide-cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/isdn/hisax/*_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/isdn/avmb1/avm_cs.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/telephony/*_pcmcia.o*
%exclude /lib/modules/%{version}-%{release}/kernel/drivers/char/drm
/lib/modules/%{version}-%{release}/build
%ghost /lib/modules/%{version}-%{release}/modules.*

%files pcmcia-cs
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}/kernel/drivers/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/net/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/scsi/pcmcia
/lib/modules/%{version}-%{release}/kernel/drivers/net/wireless/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/parport/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/bluetooth/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/ide/legacy/ide-cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/isdn/hisax/*_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/isdn/avmb1/avm_cs.o*
/lib/modules/%{version}-%{release}/kernel/drivers/telephony/*_pcmcia.o*

%files drm
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}/kernel/drivers/char/drm
%endif                  # %%{_without_up}

%if %{?_without_smp:0}%{!?_without_smp:1}
%files smp
%defattr(644,root,root,755)
/boot/vmlinuz-%{version}-%{release}smp
/boot/System.map-%{version}-%{release}smp
%dir /lib/modules/%{version}-%{release}smp
/lib/modules/%{version}-%{release}smp/kernel
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/net/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/scsi/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/char/pcmcia
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/net/wireless/*_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/parport/*_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/bluetooth/*_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/ide/legacy/ide-cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/hisax/*_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/avmb1/avm_cs.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/telephony/*_pcmcia.o*
%exclude /lib/modules/%{version}-%{release}smp/kernel/drivers/char/drm
/lib/modules/%{version}-%{release}smp/build
%ghost /lib/modules/%{version}-%{release}smp/modules.*

%files -n kernel-mosix-smp-pcmcia-cs
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}smp/kernel/drivers/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/net/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/scsi/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/char/pcmcia
/lib/modules/%{version}-%{release}smp/kernel/drivers/net/wireless/*_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/parport/*_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/bluetooth/dtl1_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/ide/legacy/ide-cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/hisax/*_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/isdn/avmb1/avm_cs.o*
/lib/modules/%{version}-%{release}smp/kernel/drivers/telephony/*_pcmcia.o*

%files -n kernel-mosix-smp-drm
%defattr(644,root,root,755)
/lib/modules/%{version}-%{release}smp/kernel/drivers/char/drm
%endif                  # %%{_without_smp}

%files headers
%defattr(644,root,root,755)
%dir %{_prefix}/src/linux-%{version}
%{_prefix}/src/linux-%{version}/include

%if %{?_without_doc:0}%{!?_without_doc:1}
%files doc
%defattr(644,root,root,755)
%{_prefix}/src/linux-%{version}/Documentation
%endif

%if %{?_without_source:0}%{!?_without_source:1}
%files source
%defattr(644,root,root,755)
%{_prefix}/src/linux-%{version}/arch
%{_prefix}/src/linux-%{version}/crypto
%{_prefix}/src/linux-%{version}/drivers
%{_prefix}/src/linux-%{version}/fs
%{_prefix}/src/linux-%{version}/init
%{_prefix}/src/linux-%{version}/ipc
#%{_prefix}/src/linux-%{version}/kdb
%{_prefix}/src/linux-%{version}/kernel
%{_prefix}/src/linux-%{version}/lib
%{_prefix}/src/linux-%{version}/mm
%{_prefix}/src/linux-%{version}/net
%{_prefix}/src/linux-%{version}/scripts
%{_prefix}/src/linux-%{version}/.config
%{_prefix}/src/linux-%{version}/.depend
%{_prefix}/src/linux-%{version}/.hdepend
%{_prefix}/src/linux-%{version}/COPYING
%{_prefix}/src/linux-%{version}/CREDITS
%{_prefix}/src/linux-%{version}/MAINTAINERS
%{_prefix}/src/linux-%{version}/Makefile
%{_prefix}/src/linux-%{version}/README
%{_prefix}/src/linux-%{version}/REPORTING-BUGS
%{_prefix}/src/linux-%{version}/Rules.make
%{_prefix}/src/linux-%{version}/config*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-mosix.spec,v $
Revision 1.84.2.14  2004/08/17 16:34:50  misi3k
- rel 5
Note: BUILDS & WORKS

Revision 1.84.2.13  2004/08/17 14:29:32  misi3k
- rel 4.3, more Provides

Revision 1.84.2.12  2004/08/17 09:11:51  misi3k
- rel 4.2
- updated owl patch
SECURITY:
CAN-2004-0497,
CAN-2004-0415,
fsave/frstor local DoS on x86

Revision 1.84.2.11  2004/08/17 05:40:20  misi3k
- ekhm ln -snf

Revision 1.84.2.10  2004/08/16 21:34:55  misi3k
- rel 4.1
- openmosix tools fixes

Revision 1.84.2.9  2004/05/29 17:33:28  misi3k
- rel 4
- openMosix up 2.4.22-3

Revision 1.84.2.8  2004/02/21 16:47:00  twittner
- added sec. fix linux-2.4-mremap-munmap.patch adapted to mosix
  kernel-2.4.22 (ref. CAN-2004-0077).
- tested on two PLD 1.0 boxes - seems to work well.
- rel. 3.2 (I didn't check effectiveness of sec. patches for this kernel).

Revision 1.84.2.7  2004/02/14 15:37:39  twittner
- security patches against vulnerabilities found in do_brk and do_mremap,
  fix kernel memory leaks through rtc adapted to this kernel. Passed
  compilation, but working untested.
- rel. 3.1

Revision 1.84.2.6  2004/02/13 23:01:31  twittner
- aggr! reverted last changes - kernel doesn't build
- downgrade rel. - 3

Revision 1.84.2.5  2004/02/13 22:44:10  twittner
- Security (well known) patches: do_brk, do_mremap, rtc - successfully
  applied but not checked.
- rel. 4

Revision 1.84.2.4  2004/02/11 13:35:45  misi3k
- rel 3
- bye bye /usr/include/* symlinks

Revision 1.84.2.3  2004/02/05 14:35:48  misi3k
- stupido

Revision 1.84.2.2  2004/02/05 12:47:22  misi3k
- rel 2

Revision 1.84.2.1  2003/12/22 13:40:33  misi3k
- dc out

Revision 1.84  2003/10/18 00:51:52  misi3k
- hmm, fucked up

Revision 1.83  2003/10/18 00:45:15  misi3k
- rel 1.112

Revision 1.82  2003/09/25 11:07:29  misi3k
- cleanup

Revision 1.81  2003/09/08 12:54:45  misi3k
- rel 1.111
- fix - unresolved symbols
- added xfs patch (last cvs snap shot)
Note: Builds, not tested

Revision 1.80  2003/09/08 07:34:17  misi3k
- rel 1.110
Note: Builds, not tested yet

Revision 1.79  2003/09/06 18:54:07  misi3k
- rel 1.109
- openMosix 2.4.22-1

Revision 1.78  2003/08/29 14:46:16  ankry
- %%prep fixes; renamed hostap tar - it is modified

Revision 1.77  2003/08/28 08:20:21  misi3k
- owl updated to 2.4.22, cleanup

Revision 1.76  2003/08/25 17:07:26  misi3k
- rel 1.108
- start update to 2.4.22

Revision 1.75  2003/08/24 13:58:33  misi3k
- rel 1.107
- updated xfs patch to final version

Revision 1.74  2003/08/18 08:08:14  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.73  2003/08/14 22:17:46  ankry
- description formatting and other minor description fixes

Revision 1.72  2003/08/11 20:44:55  ankry
cosmetics

Revision 1.71  2003/07/06 13:33:16  misi3k
- rel 1.106
- ppc patch removed
- %%postun fix
- tp600 patch tmp disabled

Revision 1.70  2003/07/01 20:41:25  misi3k
- added tp600 hotplug patch

Revision 1.69  2003/07/01 20:24:52  misi3k
- rel 1.105
- more patches from baggins kernel
- cleanups

Revision 1.68  2003/07/01 19:03:20  misi3k
- more comments, acl out

Revision 1.67  2003/07/01 18:38:25  misi3k
- rel 1.104
- added netfilter patch from HEAD kernel

Revision 1.66  2003/07/01 16:49:22  misi3k
- rel 1.103
- i2c & ntfs back (from HEAD)

Revision 1.65  2003/07/01 03:48:56  misi3k
- rel 1.102
- added ide, I810FB patches from HEAD

Revision 1.64  2003/06/30 10:39:15  misi3k
- more cleanup

Revision 1.63  2003/06/30 08:21:41  misi3k
- cleanup
Note: Unresolved symbols in ide subsystem

Revision 1.62  2003/06/28 19:05:58  misi3k
- rel 1.101
- xfs back online
Note: builds (not tested)

Revision 1.61  2003/06/28 18:09:51  misi3k
- rel 1.100
- path fix
Note: builds & probably works :> (not tested yet)
TODO: xfs & i810/830 drm

Revision 1.60  2003/06/28 11:30:05  misi3k
- added note to TODO

Revision 1.59  2003/06/27 09:44:15  misi3k
- ippersonality out, TODO: openmosix quota stuff

Revision 1.58  2003/06/27 09:20:03  misi3k
- added TODO
- cleanups

Revision 1.57  2003/06/27 08:57:38  misi3k
- pcmcia ide path fix

Revision 1.56  2003/06/27 07:40:45  misi3k
- updated loop-jari, xfs tmp disabled

Revision 1.55  2003/06/24 14:47:31  misi3k
- added openmosix quota fix
Note: don't use this rel

Revision 1.54  2003/06/24 12:16:11  misi3k
- cleanup

Revision 1.53  2003/06/24 12:09:20  misi3k
- more patches back online

Revision 1.52  2003/06/24 11:09:25  misi3k
- more patches back online

Revision 1.51  2003/06/24 10:34:07  ankry
- md5s

Revision 1.50  2003/06/24 09:06:26  misi3k
- more patches back online

Revision 1.49  2003/06/24 08:54:15  misi3k
- more patches back online

Revision 1.48  2003/06/24 08:30:54  misi3k
- more patches back online

Revision 1.47  2003/06/24 08:23:26  misi3k
- more patches back online

Revision 1.46  2003/06/23 23:30:51  misi3k
- xfs updated to 1.3.0, back online

Revision 1.45  2003/06/23 23:13:03  misi3k
- freeswan, owl enabled

Revision 1.44  2003/06/23 22:44:48  misi3k
- crypto back from the dead

Revision 1.43  2003/06/23 22:21:30  misi3k
- sajonara old mosix heders

Revision 1.42  2003/06/23 22:19:42  misi3k
- rel 1.99 (Revolution)
- kernel updated to 2.4.21
- mosix patch switched to openmosix 2.4.21-1
- removed outdted stuff (mosix utils, libs)
Note:
Builds but... lot of unresolved symbols,
all patches disabled etc. etc. - NFY :>

Revision 1.41  2003/06/06 12:33:21  qboosh
- updated feedback address

Revision 1.40  2003/06/03 17:43:35  misi3k
- xfs&jfs tmp disabled - problems with migration

Revision 1.39  2003/06/03 17:40:44  misi3k
- removed md5 sums :>

Revision 1.38  2003/05/30 15:15:30  qboosh
- merged lost change:
  Revision 1.35  2003/05/23 12:08:19  misi3k
  - fix

Revision 1.37  2003/05/28 12:59:19  malekith
- massive attack: source-md5

Revision 1.36  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 05:49:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/20 21:50:51  misi3k
- LINUX_2_4_MOSIX -> HEAD

Revision 1.32  2003/04/27 20:02:17  qboosh
- minor fixes, cleanups and standardizations

Revision 1.31  2003/04/24 10:04:52  misi3k
- rel 0.17
- arch & BOOT clanup

Revision 1.30  2003/04/22 07:52:11  misi3k
- rel 0.16
- switch to openMOSIX patch
Note: Not working, needs clean up & fixes

Revision 1.29  2003/04/16 16:30:00  misi3k
- fixed source doubling
- iptables up to 1.2.8 (sync LINUX_2_4)

Revision 1.28  2003/04/15 06:50:08  misi3k
- fixed %%file mosix-utils

Revision 1.27  2003/04/14 23:16:51  ankry
- switch to .gz source: .bz2 does not seen to exist

Revision 1.26  2003/04/14 21:41:00  misi3k
- rel 0.15
- fixed %%post & %%postun mosix-utils

Revision 1.25  2003/04/14 18:51:04  misi3k
- rel 0.14
- removed grsec, win4linux config
- added new mosix.init

Revision 1.24  2003/04/14 17:12:16  misi3k
- small updates:
	jfs 2.4-1.1.2
	ntfs 2.1.2a
	drm 4.3.0

Revision 1.23  2003/04/03 19:00:21  misi3k
- rel 0.12
- small cleanup
- Win4Lin patch removed
- sched-O1+preempt patch removed

Revision 1.22  2003/04/02 18:18:27  misi3k
- rel 0.11
- removed jfs & xfs patches
- fix libmosix %%files
- fix source %%files
- fix %%clean

Revision 1.21  2003/04/01 08:57:44  misi3k
- rel 0.10
- cleaning in patches

Revision 1.20  2003/03/30 20:35:42  misi3k
- rel 0.9
- cleanup
- removed preemptible patch & bconds
- removed grsecurity stuff
- removed squashfs.patch
- patch 220 & 225 - enable
Note: builds & works

Revision 1.19  2003/03/29 20:20:16  misi3k
- rel. 0.8
- removed grsecurity patch
- added owl patch & owl config (experimentally)
NOTE:
builds, but not tested

Revision 1.18  2003/03/27 22:03:17  misi3k
- fix - patch10 crypto
- rel 0.7

Revision 1.17  2003/03/27 17:48:46  misi3k
- removed subpackage libmosix-devel (libmosix.h, mos.h -> kernel-mosix-headers)
- cosmetics
- rel 0.6

Revision 1.16  2003/03/24 11:51:38  misi3k
- kernel updated to 2.4.20
- mosix & mosix-utils updated to 1.9.0
- added mosix-ncurses patch
- added mosix kernel config

TODO:
- sync with main kernel
- cleanup

Note: i'm still working on it
(this version work @ cna.us.edu.pl ;))

